diff --git a/Makefile.am b/Makefile.am
index 94081708..dba22fdb 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -150,6 +150,8 @@ TESTS = fwts-test/acpidump-0001/test-0001.sh \
 	fwts-test/madt-0001/test-0002.sh \
 	fwts-test/mchi-0001/test-0001.sh \
 	fwts-test/mchi-0001/test-0002.sh \
+        fwts-test/misc-0001/test-0001.sh \
+        fwts-test/misc-0001/test-0002.sh \
 	fwts-test/mpam-0001/test-0001.sh \
 	fwts-test/mpam-0001/test-0002.sh \
         fwts-test/mpst-0001/test-0001.sh \
diff --git a/fwts-test/misc-0001/acpidump-0001.log b/fwts-test/misc-0001/acpidump-0001.log
new file mode 100644
index 00000000..10dd4772
--- /dev/null
+++ b/fwts-test/misc-0001/acpidump-0001.log
@@ -0,0 +1,34 @@
+FACS @ 0x00000000
+  0000: 46 41 43 53 40 00 00 00 00 00 00 00 00 00 00 00  FACS@...........
+  0010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0020: 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+
+FACP @ 0x00000000
+  0000: 46 41 43 50 f4 00 00 00 03 f9 41 4d 44 20 20 20  FACP......AMD   
+  0010: 47 55 41 4d 20 20 20 20 00 00 04 06 41 4d 44 20  GUAM    ....AMD 
+  0020: 40 42 0f 00 c0 2f e9 af 92 47 e8 af 00 02 09 00  @B.../...G......
+  0030: b0 00 00 00 f0 f1 00 00 00 80 00 00 00 00 00 00  ................
+  0040: 04 80 00 00 00 00 00 00 00 82 00 00 08 80 00 00  ................
+  0050: 20 80 00 00 00 00 00 00 04 02 01 04 08 00 00 00   ...............
+  0060: 65 00 e9 03 00 00 00 00 01 00 0d 00 32 00 00 00  e...........2...
+  0070: a5 c1 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0080: 00 00 00 00 c0 2f e9 af 00 00 00 00 92 47 e8 af  ...../.......G..
+  0090: 00 00 00 00 01 20 00 00 00 80 00 00 00 00 00 00  ..... ..........
+  00a0: 00 00 00 00 00 00 00 00 00 00 00 00 01 10 00 00  ................
+  00b0: 04 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  00c0: 00 00 00 00 01 08 00 00 00 82 00 00 00 00 00 00  ................
+  00d0: 01 20 00 00 08 80 00 00 00 00 00 00 01 40 00 00  . ...........@..
+  00e0: 20 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00   ...............
+  00f0: 00 00 00 00                                      ....
+
+MISC @ 0x00000000
+  0000: 4D 49 53 43 7C 00 00 00 01 52 49 4E 54 45 4C 20  MISC.....RINTEL 
+  0010: 54 65 6D 70 6C 61 74 65 00 00 00 00 49 4E 54 4C  Template....INTL
+  0020: 05 01 21 20 11 22 33 44 55 66 77 88 99 00 AA BB  ..! ..3DUfW.....
+  0030: CC DD EE FF 2C 00 00 00 00 00 00 00 41 42 43 44  ................
+  0040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0050: FF EE DD CC BB AA 99 88 77 66 55 44 33 22 11 00  .......WfUD3....
+  0060: 28 00 00 00 00 00 00 00 44 43 42 41 FF FF FF FF  ................
+  0070: FF FF FF FF FF FF FF FF                          ........
diff --git a/fwts-test/misc-0001/acpidump-0002.log b/fwts-test/misc-0001/acpidump-0002.log
new file mode 100644
index 00000000..7eeeed4c
--- /dev/null
+++ b/fwts-test/misc-0001/acpidump-0002.log
@@ -0,0 +1,34 @@
+FACS @ 0x00000000
+  0000: 46 41 43 53 40 00 00 00 00 00 00 00 00 00 00 00  FACS@...........
+  0010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0020: 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+
+FACP @ 0x00000000
+  0000: 46 41 43 50 f4 00 00 00 03 f9 41 4d 44 20 20 20  FACP......AMD   
+  0010: 47 55 41 4d 20 20 20 20 00 00 04 06 41 4d 44 20  GUAM    ....AMD 
+  0020: 40 42 0f 00 c0 2f e9 af 92 47 e8 af 00 02 09 00  @B.../...G......
+  0030: b0 00 00 00 f0 f1 00 00 00 80 00 00 00 00 00 00  ................
+  0040: 04 80 00 00 00 00 00 00 00 82 00 00 08 80 00 00  ................
+  0050: 20 80 00 00 00 00 00 00 04 02 01 04 08 00 00 00   ...............
+  0060: 65 00 e9 03 00 00 00 00 01 00 0d 00 32 00 00 00  e...........2...
+  0070: a5 c1 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0080: 00 00 00 00 c0 2f e9 af 00 00 00 00 92 47 e8 af  ...../.......G..
+  0090: 00 00 00 00 01 20 00 00 00 80 00 00 00 00 00 00  ..... ..........
+  00a0: 00 00 00 00 00 00 00 00 00 00 00 00 01 10 00 00  ................
+  00b0: 04 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  00c0: 00 00 00 00 01 08 00 00 00 82 00 00 00 00 00 00  ................
+  00d0: 01 20 00 00 08 80 00 00 00 00 00 00 01 40 00 00  . ...........@..
+  00e0: 20 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00   ...............
+  00f0: 00 00 00 00                                      ....
+
+MISC @ 0x00000000
+  0000: 4D 49 53 43 7C 00 00 00 01 52 49 4E 54 45 4C 20  MISC.....RINTEL 
+  0010: 54 65 6D 70 6C 61 74 65 00 00 00 00 49 4E 54 4C  Template....INTL
+  0020: 05 01 21 20 11 22 33 44 55 66 77 88 99 00 AA BB  ..! ..3DUfW.....
+  0030: CC DD EE FF 2C 00 00 00 00 00 00 00 41 42 43 44  ................
+  0040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0050: FF EE DD CC BB AA 99 88 77 66 55 44 33 22 11 00  .......WfUD3....
+  0060: 2C 00 00 00 00 00 00 00 44 43 42 41 FF FF FF FF  ................
+  0070: FF FF FF FF FF FF FF FF                          ........
diff --git a/fwts-test/misc-0001/misc-0001.log b/fwts-test/misc-0001/misc-0001.log
new file mode 100644
index 00000000..964ae594
--- /dev/null
+++ b/fwts-test/misc-0001/misc-0001.log
@@ -0,0 +1,25 @@
+misc            misc: MISC Miscellaneous GUIDed Table Entries test.
+misc            ----------------------------------------------------------
+misc            Test 1 of 1: Validate MISC table.
+misc            Miscellaneous GUIDed Table Entries:
+misc              Entry GUID ID:     44332211-6655-8877-9900-AABBCCDDEEFF
+misc              Entry Length:      0x0000002c
+misc              Revision:          0x00000000
+misc              Producer ID:       0x44434241
+misc              Data:
+misc                00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+misc            
+misc            Miscellaneous GUIDed Table Entries:
+misc              Entry GUID ID:     CCDDEEFF-AABB-8899-7766-554433221100
+misc              Entry Length:      0x00000028
+misc              Revision:          0x00000000
+misc              Producer ID:       0x41424344
+misc              Data:
+misc                FF FF FF FF FF FF FF FF FF FF FF FF 
+misc            
+misc            PASSED: Test 1, No issues found in MISC table.
+misc            
+misc            ==========================================================
+misc            1 passed, 0 failed, 0 warning, 0 aborted, 0 skipped, 0
+misc            info only.
+misc            ==========================================================
diff --git a/fwts-test/misc-0001/misc-0002.log b/fwts-test/misc-0001/misc-0002.log
new file mode 100644
index 00000000..2713cfc9
--- /dev/null
+++ b/fwts-test/misc-0001/misc-0002.log
@@ -0,0 +1,18 @@
+misc            misc: MISC Miscellaneous GUIDed Table Entries test.
+misc            ----------------------------------------------------------
+misc            Test 1 of 1: Validate MISC table.
+misc            Miscellaneous GUIDed Table Entries:
+misc              Entry GUID ID:     44332211-6655-8877-9900-AABBCCDDEEFF
+misc              Entry Length:      0x0000002c
+misc              Revision:          0x00000000
+misc              Producer ID:       0x44434241
+misc              Data:
+misc                00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+misc            
+misc            FAILED [HIGH] MISCOutOfRangeOffset: Test 1, MISC GUIDed
+misc            Entry Offset is out of range.
+misc            
+misc            ==========================================================
+misc            0 passed, 1 failed, 0 warning, 0 aborted, 0 skipped, 0
+misc            info only.
+misc            ==========================================================
diff --git a/fwts-test/misc-0001/test-0001.sh b/fwts-test/misc-0001/test-0001.sh
new file mode 100755
index 00000000..82a0e56b
--- /dev/null
+++ b/fwts-test/misc-0001/test-0001.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+TEST="Test acpitables against MISC"
+NAME=test-0001.sh
+TMPLOG=$TMP/misc.log.$$
+
+$FWTS --show-tests | grep misc > /dev/null
+if [ $? -eq 1 ]; then
+	echo SKIP: $TEST, $NAME
+	exit 77
+fi
+
+$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/misc-0001/acpidump-0001.log misc - | cut -c7- | grep "^misc" > $TMPLOG
+diff $TMPLOG $FWTSTESTDIR/misc-0001/misc-0001.log >> $FAILURE_LOG
+ret=$?
+if [ $ret -eq 0 ]; then
+	echo PASSED: $TEST, $NAME
+else
+	echo FAILED: $TEST, $NAME
+fi
+
+rm $TMPLOG
+exit $ret
diff --git a/fwts-test/misc-0001/test-0002.sh b/fwts-test/misc-0001/test-0002.sh
new file mode 100755
index 00000000..36148a19
--- /dev/null
+++ b/fwts-test/misc-0001/test-0002.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+TEST="Test acpitables against MISC"
+NAME=test-0002.sh
+TMPLOG=$TMP/misc.log.$$
+
+$FWTS --show-tests | grep misc > /dev/null
+if [ $? -eq 1 ]; then
+	echo SKIP: $TEST, $NAME
+	exit 77
+fi
+
+$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/misc-0001/acpidump-0002.log misc - | cut -c7- | grep "^misc" > $TMPLOG
+diff $TMPLOG $FWTSTESTDIR/misc-0001/misc-0002.log >> $FAILURE_LOG
+ret=$?
+if [ $ret -eq 0 ]; then
+	echo PASSED: $TEST, $NAME
+else
+	echo FAILED: $TEST, $NAME
+fi
+
+rm $TMPLOG
+exit $ret