diff --git a/Makefile.am b/Makefile.am
index dba22fdb..5178f3bd 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -98,6 +98,8 @@ TESTS = fwts-test/acpidump-0001/test-0001.sh \
 	fwts-test/bgrt-0001/test-0002.sh \
 	fwts-test/boot-0001/test-0001.sh \
 	fwts-test/boot-0001/test-0002.sh \
+	fwts-test/ccel-0001/test-0001.sh \
+        fwts-test/ccel-0001/test-0002.sh \
 	fwts-test/cedt-0001/test-0001.sh \
 	fwts-test/cedt-0001/test-0002.sh \
 	fwts-test/checksum-0001/test-0001.sh \
diff --git a/fwts-test/ccel-0001/acpidump-0001.log b/fwts-test/ccel-0001/acpidump-0001.log
new file mode 100644
index 00000000..c5c92465
--- /dev/null
+++ b/fwts-test/ccel-0001/acpidump-0001.log
@@ -0,0 +1,30 @@
+FACS @ 0x00000000
+  0000: 46 41 43 53 40 00 00 00 00 00 00 00 00 00 00 00  FACS@...........
+  0010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0020: 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+
+FACP @ 0x00000000
+  0000: 46 41 43 50 f4 00 00 00 03 f9 41 4d 44 20 20 20  FACP......AMD   
+  0010: 47 55 41 4d 20 20 20 20 00 00 04 06 41 4d 44 20  GUAM    ....AMD 
+  0020: 40 42 0f 00 c0 2f e9 af 92 47 e8 af 00 02 09 00  @B.../...G......
+  0030: b0 00 00 00 f0 f1 00 00 00 80 00 00 00 00 00 00  ................
+  0040: 04 80 00 00 00 00 00 00 00 82 00 00 08 80 00 00  ................
+  0050: 20 80 00 00 00 00 00 00 04 02 01 04 08 00 00 00   ...............
+  0060: 65 00 e9 03 00 00 00 00 01 00 0d 00 32 00 00 00  e...........2...
+  0070: a5 c1 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0080: 00 00 00 00 c0 2f e9 af 00 00 00 00 92 47 e8 af  ...../.......G..
+  0090: 00 00 00 00 01 20 00 00 00 80 00 00 00 00 00 00  ..... ..........
+  00a0: 00 00 00 00 00 00 00 00 00 00 00 00 01 10 00 00  ................
+  00b0: 04 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  00c0: 00 00 00 00 01 08 00 00 00 82 00 00 00 00 00 00  ................
+  00d0: 01 20 00 00 08 80 00 00 00 00 00 00 01 40 00 00  . ...........@..
+  00e0: 20 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00   ...............
+  00f0: 00 00 00 00                                      ....
+
+CCEL @ 0x00000000
+  0000: 43 43 45 4C 38 00 00 00 04 1C 49 4E 54 45 4C 20  CCEL8.....INTEL 
+  0010: 54 65 6D 70 6C 61 74 65 00 00 00 00 49 4E 54 4C  Template....INTL
+  0020: 30 09 21 20 01 00 00 00 EF CD AB 78 56 34 12 00  0.! .......xV4..
+  0030: 78 56 34 12 EF CD AB 00                          xV4.....
diff --git a/fwts-test/ccel-0001/acpidump-0002.log b/fwts-test/ccel-0001/acpidump-0002.log
new file mode 100644
index 00000000..05a29307
--- /dev/null
+++ b/fwts-test/ccel-0001/acpidump-0002.log
@@ -0,0 +1,30 @@
+FACS @ 0x00000000
+  0000: 46 41 43 53 40 00 00 00 00 00 00 00 00 00 00 00  FACS@...........
+  0010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0020: 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+
+FACP @ 0x00000000
+  0000: 46 41 43 50 f4 00 00 00 03 f9 41 4d 44 20 20 20  FACP......AMD   
+  0010: 47 55 41 4d 20 20 20 20 00 00 04 06 41 4d 44 20  GUAM    ....AMD 
+  0020: 40 42 0f 00 c0 2f e9 af 92 47 e8 af 00 02 09 00  @B.../...G......
+  0030: b0 00 00 00 f0 f1 00 00 00 80 00 00 00 00 00 00  ................
+  0040: 04 80 00 00 00 00 00 00 00 82 00 00 08 80 00 00  ................
+  0050: 20 80 00 00 00 00 00 00 04 02 01 04 08 00 00 00   ...............
+  0060: 65 00 e9 03 00 00 00 00 01 00 0d 00 32 00 00 00  e...........2...
+  0070: a5 c1 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0080: 00 00 00 00 c0 2f e9 af 00 00 00 00 92 47 e8 af  ...../.......G..
+  0090: 00 00 00 00 01 20 00 00 00 80 00 00 00 00 00 00  ..... ..........
+  00a0: 00 00 00 00 00 00 00 00 00 00 00 00 01 10 00 00  ................
+  00b0: 04 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  00c0: 00 00 00 00 01 08 00 00 00 82 00 00 00 00 00 00  ................
+  00d0: 01 20 00 00 08 80 00 00 00 00 00 00 01 40 00 00  . ...........@..
+  00e0: 20 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00   ...............
+  00f0: 00 00 00 00                                      ....
+
+CCEL @ 0x00000000
+  0000: 43 43 45 4C 38 00 00 00 04 1C 49 4E 54 45 4C 20  CCEL8.....INTEL 
+  0010: 54 65 6D 70 6C 61 74 65 00 00 00 00 49 4E 54 4C  Template....INTL
+  0020: 30 09 21 20 05 00 FF FF EF CD AB 78 56 34 12 00  0.! .......xV4..
+  0030: 78 56 34 12 EF CD AB 00                          xV4.....
diff --git a/fwts-test/ccel-0001/ccel-0001.log b/fwts-test/ccel-0001/ccel-0001.log
new file mode 100644
index 00000000..a2c666fd
--- /dev/null
+++ b/fwts-test/ccel-0001/ccel-0001.log
@@ -0,0 +1,16 @@
+ccel            ccel: CCEL CC Event Log ACPI Table test.
+ccel            ----------------------------------------------------------
+ccel            Test 1 of 1: Validate CCEL table.
+ccel            CC Event Log ACPI Table:
+ccel              CC Type:                       0x01
+ccel              CC Subtype:                    0x00
+ccel              Reserved:                      0x0000
+ccel              Log Area Minimum Length(LAML): 0x0012345678abcdef
+ccel              Log Area Start Address(LASA):  0x00abcdef12345678
+ccel            
+ccel            PASSED: Test 1, No issues found in CCEL table.
+ccel            
+ccel            ==========================================================
+ccel            1 passed, 0 failed, 0 warning, 0 aborted, 0 skipped, 0
+ccel            info only.
+ccel            ==========================================================
diff --git a/fwts-test/ccel-0001/ccel-0002.log b/fwts-test/ccel-0001/ccel-0002.log
new file mode 100644
index 00000000..3de18b87
--- /dev/null
+++ b/fwts-test/ccel-0001/ccel-0002.log
@@ -0,0 +1,20 @@
+ccel            ccel: CCEL CC Event Log ACPI Table test.
+ccel            ----------------------------------------------------------
+ccel            Test 1 of 1: Validate CCEL table.
+ccel            CC Event Log ACPI Table:
+ccel              CC Type:                       0x05
+ccel            FAILED [HIGH] CCELBadCCType: Test 1, CCEL CC types must
+ccel            not have the reaserved value 0, 0x03..0xff, got 0x05
+ccel            instead.
+ccel              CC Subtype:                    0x00
+ccel              Reserved:                      0xffff
+ccel            FAILED [MEDIUM] CCELReservedNonZero: Test 1, CCEL Reserved
+ccel            field must be zero, got 0xffff instead
+ccel              Log Area Minimum Length(LAML): 0x0012345678abcdef
+ccel              Log Area Start Address(LASA):  0x00abcdef12345678
+ccel            
+ccel            
+ccel            ==========================================================
+ccel            0 passed, 2 failed, 0 warning, 0 aborted, 0 skipped, 0
+ccel            info only.
+ccel            ==========================================================
diff --git a/fwts-test/ccel-0001/test-0001.sh b/fwts-test/ccel-0001/test-0001.sh
new file mode 100755
index 00000000..c3d6277f
--- /dev/null
+++ b/fwts-test/ccel-0001/test-0001.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+TEST="Test acpitables against CCEL"
+NAME=test-0001.sh
+TMPLOG=$TMP/ccel.log.$$
+
+$FWTS --show-tests | grep ccel > /dev/null
+if [ $? -eq 1 ]; then
+	echo SKIP: $TEST, $NAME
+	exit 77
+fi
+
+$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/ccel-0001/acpidump-0001.log ccel - | cut -c7- | grep "^ccel" > $TMPLOG
+diff $TMPLOG $FWTSTESTDIR/ccel-0001/ccel-0001.log >> $FAILURE_LOG
+ret=$?
+if [ $ret -eq 0 ]; then
+	echo PASSED: $TEST, $NAME
+else
+	echo FAILED: $TEST, $NAME
+fi
+
+rm $TMPLOG
+exit $ret
diff --git a/fwts-test/ccel-0001/test-0002.sh b/fwts-test/ccel-0001/test-0002.sh
new file mode 100755
index 00000000..c710c14d
--- /dev/null
+++ b/fwts-test/ccel-0001/test-0002.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+TEST="Test acpitables against CCEL"
+NAME=test-0002.sh
+TMPLOG=$TMP/ccel.log.$$
+
+$FWTS --show-tests | grep ccel > /dev/null
+if [ $? -eq 1 ]; then
+	echo SKIP: $TEST, $NAME
+	exit 77
+fi
+
+$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/ccel-0001/acpidump-0002.log ccel - | cut -c7- | grep "^ccel" > $TMPLOG
+diff $TMPLOG $FWTSTESTDIR/ccel-0001/ccel-0002.log >> $FAILURE_LOG
+ret=$?
+if [ $ret -eq 0 ]; then
+	echo PASSED: $TEST, $NAME
+else
+	echo FAILED: $TEST, $NAME
+fi
+
+rm $TMPLOG
+exit $ret