diff --git a/Makefile.am b/Makefile.am
index 5178f3bd..e31af973 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -191,6 +191,8 @@ TESTS = fwts-test/acpidump-0001/test-0001.sh \
 	fwts-test/s0idle-0001/test-0002.sh \
 	fwts-test/sbst-0001/test-0001.sh \
 	fwts-test/sbst-0001/test-0002.sh \
+        fwts-test/skvl-0001/test-0001.sh \
+        fwts-test/skvl-0001/test-0002.sh \
 	fwts-test/spcr-0001/test-0001.sh \
 	fwts-test/spcr-0001/test-0002.sh \
 	fwts-test/srat-0001/test-0001.sh \
diff --git a/fwts-test/skvl-0001/acpidump-0001.log b/fwts-test/skvl-0001/acpidump-0001.log
new file mode 100644
index 00000000..e030001c
--- /dev/null
+++ b/fwts-test/skvl-0001/acpidump-0001.log
@@ -0,0 +1,32 @@
+FACS @ 0x00000000
+  0000: 46 41 43 53 40 00 00 00 00 00 00 00 00 00 00 00  FACS@...........
+  0010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0020: 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+
+FACP @ 0x00000000
+  0000: 46 41 43 50 f4 00 00 00 03 f9 41 4d 44 20 20 20  FACP......AMD   
+  0010: 47 55 41 4d 20 20 20 20 00 00 04 06 41 4d 44 20  GUAM    ....AMD 
+  0020: 40 42 0f 00 c0 2f e9 af 92 47 e8 af 00 02 09 00  @B.../...G......
+  0030: b0 00 00 00 f0 f1 00 00 00 80 00 00 00 00 00 00  ................
+  0040: 04 80 00 00 00 00 00 00 00 82 00 00 08 80 00 00  ................
+  0050: 20 80 00 00 00 00 00 00 04 02 01 04 08 00 00 00   ...............
+  0060: 65 00 e9 03 00 00 00 00 01 00 0d 00 32 00 00 00  e...........2...
+  0070: a5 c1 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0080: 00 00 00 00 c0 2f e9 af 00 00 00 00 92 47 e8 af  ...../.......G..
+  0090: 00 00 00 00 01 20 00 00 00 80 00 00 00 00 00 00  ..... ..........
+  00a0: 00 00 00 00 00 00 00 00 00 00 00 00 01 10 00 00  ................
+  00b0: 04 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  00c0: 00 00 00 00 01 08 00 00 00 82 00 00 00 00 00 00  ................
+  00d0: 01 20 00 00 08 80 00 00 00 00 00 00 01 40 00 00  . ...........@..
+  00e0: 20 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00   ...............
+  00f0: 00 00 00 00                                      ....
+
+SKVL @ 0x00000000
+  0000: 53 4B 56 4C 58 00 00 00 01 52 49 4E 54 45 4C 20  MISC.....RINTEL 
+  0010: 54 65 6D 70 6C 61 74 65 00 00 00 00 49 4E 54 4C  Template....INTL
+  0020: 05 01 21 20 03 00 00 00 00 00 00 00 11 22 00 00  ... ....."......
+  0030: 11 22 33 44 55 66 77 88 00 00 00 00 22 33 00 00  ."3DUfw....."...
+  0040: 22 33 44 55 66 77 88 99 00 00 00 00 FF 00 00 00  "3DUfw..........
+  0050: AA BB CC DD EE FF 00 11                          ........
diff --git a/fwts-test/skvl-0001/acpidump-0002.log b/fwts-test/skvl-0001/acpidump-0002.log
new file mode 100644
index 00000000..86d04dbe
--- /dev/null
+++ b/fwts-test/skvl-0001/acpidump-0002.log
@@ -0,0 +1,32 @@
+FACS @ 0x00000000
+  0000: 46 41 43 53 40 00 00 00 00 00 00 00 00 00 00 00  FACS@...........
+  0010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0020: 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0030: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0040: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+
+FACP @ 0x00000000
+  0000: 46 41 43 50 f4 00 00 00 03 f9 41 4d 44 20 20 20  FACP......AMD   
+  0010: 47 55 41 4d 20 20 20 20 00 00 04 06 41 4d 44 20  GUAM    ....AMD 
+  0020: 40 42 0f 00 c0 2f e9 af 92 47 e8 af 00 02 09 00  @B.../...G......
+  0030: b0 00 00 00 f0 f1 00 00 00 80 00 00 00 00 00 00  ................
+  0040: 04 80 00 00 00 00 00 00 00 82 00 00 08 80 00 00  ................
+  0050: 20 80 00 00 00 00 00 00 04 02 01 04 08 00 00 00   ...............
+  0060: 65 00 e9 03 00 00 00 00 01 00 0d 00 32 00 00 00  e...........2...
+  0070: a5 c1 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  0080: 00 00 00 00 c0 2f e9 af 00 00 00 00 92 47 e8 af  ...../.......G..
+  0090: 00 00 00 00 01 20 00 00 00 80 00 00 00 00 00 00  ..... ..........
+  00a0: 00 00 00 00 00 00 00 00 00 00 00 00 01 10 00 00  ................
+  00b0: 04 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00  ................
+  00c0: 00 00 00 00 01 08 00 00 00 82 00 00 00 00 00 00  ................
+  00d0: 01 20 00 00 08 80 00 00 00 00 00 00 01 40 00 00  . ...........@..
+  00e0: 20 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00   ...............
+  00f0: 00 00 00 00                                      ....
+
+SKVL @ 0x00000000
+  0000: 53 4B 56 4C 56 00 00 00 01 52 49 4E 54 45 4C 20  MISC.....RINTEL 
+  0010: 54 65 6D 70 6C 61 74 65 00 00 00 00 49 4E 54 4C  Template....INTL
+  0020: 05 01 21 20 03 00 00 00 01 00 00 00 11 22 00 00  ... ....."......
+  0030: 11 22 33 44 55 66 77 88 00 00 FF 00 22 33 00 00  ."3DUfw....."...
+  0040: 22 33 44 55 66 77 88 99 00 00 00 00 FF 00 00 00  "3DUfw..........
+  0050: AA BB CC DD EE FF                                ......
diff --git a/fwts-test/skvl-0001/skvl-0001.log b/fwts-test/skvl-0001/skvl-0001.log
new file mode 100644
index 00000000..6ce83979
--- /dev/null
+++ b/fwts-test/skvl-0001/skvl-0001.log
@@ -0,0 +1,30 @@
+skvl            skvl: SKVL Storage Volume Key Location Table test.
+skvl            ----------------------------------------------------------
+skvl            Test 1 of 1: Validate SKVL table.
+skvl            Storage Volume Key Location Table:
+skvl              Key Count:    0x00000003
+skvl            
+skvl              Storage Volume Key Structure:     
+skvl              Key Type:    0x0000
+skvl              Key Format:  0x0000
+skvl              Key Size:    0x00002211
+skvl              Key Address: 0x8877665544332211
+skvl            
+skvl              Storage Volume Key Structure:     
+skvl              Key Type:    0x0000
+skvl              Key Format:  0x0000
+skvl              Key Size:    0x00003322
+skvl              Key Address: 0x9988776655443322
+skvl            
+skvl              Storage Volume Key Structure:     
+skvl              Key Type:    0x0000
+skvl              Key Format:  0x0000
+skvl              Key Size:    0x000000ff
+skvl              Key Address: 0x1100ffeeddccbbaa
+skvl            
+skvl            PASSED: Test 1, No issues found in SKVL table.
+skvl            
+skvl            ==========================================================
+skvl            1 passed, 0 failed, 0 warning, 0 aborted, 0 skipped, 0
+skvl            info only.
+skvl            ==========================================================
diff --git a/fwts-test/skvl-0001/skvl-0002.log b/fwts-test/skvl-0001/skvl-0002.log
new file mode 100644
index 00000000..924ee0d7
--- /dev/null
+++ b/fwts-test/skvl-0001/skvl-0002.log
@@ -0,0 +1,29 @@
+skvl            skvl: SKVL Storage Volume Key Location Table test.
+skvl            ----------------------------------------------------------
+skvl            Test 1 of 1: Validate SKVL table.
+skvl            Storage Volume Key Location Table:
+skvl              Key Count:    0x00000003
+skvl            
+skvl              Storage Volume Key Structure:     
+skvl              Key Type:    0x0001
+skvl            FAILED [HIGH] SKVLBadFieldValue: Test 1, SKVL Key Type
+skvl            field must be 0, got 1 instead.
+skvl              Key Format:  0x0000
+skvl              Key Size:    0x00002211
+skvl              Key Address: 0x8877665544332211
+skvl            
+skvl              Storage Volume Key Structure:     
+skvl              Key Type:    0x0000
+skvl              Key Format:  0x00ff
+skvl            FAILED [HIGH] SKVLBadFieldValue: Test 1, SKVL Key Format
+skvl            field must be 0, got 255 instead.
+skvl              Key Size:    0x00003322
+skvl              Key Address: 0x9988776655443322
+skvl            
+skvl            FAILED [HIGH] SKVLOutOfRangeOffset: Test 1, SKVL key
+skvl            structure offset is out of range.
+skvl            
+skvl            ==========================================================
+skvl            0 passed, 3 failed, 0 warning, 0 aborted, 0 skipped, 0
+skvl            info only.
+skvl            ==========================================================
diff --git a/fwts-test/skvl-0001/test-0001.sh b/fwts-test/skvl-0001/test-0001.sh
new file mode 100755
index 00000000..60aadecd
--- /dev/null
+++ b/fwts-test/skvl-0001/test-0001.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+TEST="Test acpitables against SKVL"
+NAME=test-0001.sh
+TMPLOG=$TMP/skvl.log.$$
+
+$FWTS --show-tests | grep skvl > /dev/null
+if [ $? -eq 1 ]; then
+	echo SKIP: $TEST, $NAME
+	exit 77
+fi
+
+$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/skvl-0001/acpidump-0001.log skvl - | cut -c7- | grep "^skvl" > $TMPLOG
+diff $TMPLOG $FWTSTESTDIR/skvl-0001/skvl-0001.log >> $FAILURE_LOG
+ret=$?
+if [ $ret -eq 0 ]; then
+	echo PASSED: $TEST, $NAME
+else
+	echo FAILED: $TEST, $NAME
+fi
+
+rm $TMPLOG
+exit $ret
diff --git a/fwts-test/skvl-0001/test-0002.sh b/fwts-test/skvl-0001/test-0002.sh
new file mode 100755
index 00000000..e54d3862
--- /dev/null
+++ b/fwts-test/skvl-0001/test-0002.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+TEST="Test acpitables against SKVL"
+NAME=test-0002.sh
+TMPLOG=$TMP/skvl.log.$$
+
+$FWTS --show-tests | grep skvl > /dev/null
+if [ $? -eq 1 ]; then
+	echo SKIP: $TEST, $NAME
+	exit 77
+fi
+
+$FWTS --log-format="%line %owner " -w 80 --dumpfile=$FWTSTESTDIR/skvl-0001/acpidump-0002.log skvl - | cut -c7- | grep "^skvl" > $TMPLOG
+diff $TMPLOG $FWTSTESTDIR/skvl-0001/skvl-0002.log >> $FAILURE_LOG
+ret=$?
+if [ $ret -eq 0 ]; then
+	echo PASSED: $TEST, $NAME
+else
+	echo FAILED: $TEST, $NAME
+fi
+
+rm $TMPLOG
+exit $ret